Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 372273005: Fixes for re-enabling more MSVC level 4 warnings: pdf/ edition (Closed)

Created:
6 years, 4 months ago by Peter Kasting
Modified:
6 years, 4 months ago
Reviewers:
Lei Zhang, Bo Xu
CC:
chromium-reviews
Visibility:
Public.

Description

Fixes for re-enabling more MSVC level 4 warnings: pdf/ edition This contains fixes for the following sorts of issues: * Signedness mismatch This relies on https://codereview.chromium.org/376003003 to make FPDF_FillRect() take a 32-bit value for the color in order to make the changes here as simple and clean as possible. This also contains a few other cleanups to make code simpler or more consistent. BUG=81439 TEST=none Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=282146

Patch Set 1 #

Total comments: 2

Patch Set 2 : Update pdfium #

Unified diffs Side-by-side diffs Delta from patch set Stats (+44 lines, -78 lines) Patch
M DEPS View 1 1 chunk +1 line, -1 line 0 comments Download
M pdf/instance.h View 2 chunks +2 lines, -2 lines 0 comments Download
M pdf/instance.cc View 3 chunks +9 lines, -15 lines 0 comments Download
M pdf/out_of_process_instance.h View 2 chunks +2 lines, -2 lines 0 comments Download
M pdf/out_of_process_instance.cc View 3 chunks +8 lines, -14 lines 0 comments Download
M pdf/pdf_engine.h View 1 chunk +1 line, -4 lines 0 comments Download
M pdf/pdfium/pdfium_engine.cc View 1 12 chunks +21 lines, -40 lines 0 comments Download

Messages

Total messages: 7 (0 generated)
Peter Kasting
https://codereview.chromium.org/372273005/diff/1/pdf/instance.h File pdf/instance.h (right): https://codereview.chromium.org/372273005/diff/1/pdf/instance.h#newcode231 pdf/instance.h:231: void FillRect(const pp::Rect& rect, uint32 color); The changes from ...
6 years, 4 months ago (2014-07-08 21:28:25 UTC) #1
Lei Zhang
lgtm assuming the pdfium side change is ok.
6 years, 4 months ago (2014-07-08 22:00:42 UTC) #2
Bo Xu
On 2014/07/08 22:00:42, Lei Zhang wrote: > lgtm assuming the pdfium side change is ok. ...
6 years, 4 months ago (2014-07-08 22:32:53 UTC) #3
Lei Zhang
You can roll DEPS for pdfium to 532a6a7ece21ca4ea253a196bb5c61a1861d12a0 in this CL. It also brings in ...
6 years, 4 months ago (2014-07-09 18:48:15 UTC) #4
Peter Kasting
The CQ bit was checked by pkasting@chromium.org
6 years, 4 months ago (2014-07-09 21:40:00 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/pkasting@chromium.org/372273005/20001
6 years, 4 months ago (2014-07-09 21:42:28 UTC) #6
commit-bot: I haz the power
6 years, 4 months ago (2014-07-09 22:24:44 UTC) #7
Message was sent while issue was closed.
Change committed as 282146

Powered by Google App Engine
This is Rietveld 408576698